@ECHO OFF
ECHO.
ECHO.                  This program will  Convert
ECHO.              lwd and MR trees  for Fall.
ECHO.                    
ECHO.
ECHO.  
ECHO.   Although some trees may not look as they do in nature 
ECHO.           they will appear to have seasonal change.
ECHO.                 
ECHO.     Please note that the processes may take several
ECHO.     seconds to complete, so please be patient...
ECHO.
ECHO.
PAUSE
CLS

ECHO.     ONLY MAKE FALL TEXTURES
ECHO.     WITH THE SEASONAL TEXTURE CREATOR PROGRAM.
ECHO.

ECHO.
ECHO.     MAKE SURE THE PATH IS SET TO THIS FOLDER.
ECHO.
ECHO.
ECHO.  After the Seasonal Texture Creator for CFS1.1  GUI opens
ECHO.  set Adjustment for Fall and refresh.   I set mine to 12.
ECHO. 
ECHO.  Exit when set and refreshed. 
ECHO.
ECHO.  Seasonal Texture Creator for CFS1.1  GUI
ECHO.  will open next.
PAUSE
CLS
ECHO.  PLEASE WAIT FOR THE GUI TO OPEN  so please be patient...
BmpSeasn

CLS
ECHO.
ECHO.
ECHO.
ECHO.   This batch file will convert the textures to 8bit format without mipmaps.
ECHO.
ECHO.
ECHO.    WAIT UNTILL BATCH PROCESS IS COMPLETE 
ECHO.    AND CLICK DONE.
ECHO. 
ECHO.   imagetool will open next. 
PAUSE
CLS
ECHO.   PLEASE WAIT FOR THE GUI TO OPEN  so please be patient...
imagetool -batch -8 -nomip bmp *.bmp

CLS

ECHO.
ECHO.    You have successfully converted the textures
ECHO.     to 8bit.bmp with no mip maps.
PAUSE

CLS 
ECHO.
ECHO.     Now this batch file will help you re-name the files
ECHO.     so the BmpSeasn program can read them.
ECHO.
ECHO.     IT WILL ALSO DELETE THE INFASTRUCTURE 
ECHO.     TEXTURES.
ECHO. 
PAUSE
ren                                               Austrian_Pine.bmp                 000000s1.bmp
ren                                               Date_Palm.bmp                     000001s1.bmp
ren                                               Douglas_Fir.bmp                   000002s1.bmp
ren                                               Eucalyptus_1.bmp                  000003s1.bmp
ren                                               Eucalyptus_2.bmp                  000007s1.bmp
ren                                               Eucalyptus_3.bmp                  000100s1.bmp
ren                                               Eucalyptus_4.bmp                  000101s1.bmp
ren                                               Eucalyptus_5.bmp                  000102s1.bmp
ren                                               Fan_Palm.bmp                      000103s1.bmp
ren                                               Generic_1.bmp                     000200s1.bmp
ren                                               Generic_2.bmp                     000201s1.bmp
ren                                               Generic_3.bmp                     000202s1.bmp
ren                                               Generic_4.bmp                     000203s1.bmp
ren                                               Generic_5.bmp                     000300s1.bmp
ren                                               Generic_6.bmp                     000301s1.bmp
ren                                               Generic_7.bmp                     000302s1.bmp
ren                                               Generic_8.bmp                     000303s1.bmp
ren                                               LDW_Gen_P1.bmp                    000700s1.bmp
ren                                               LDW_Gen_P10.bmp                   000703s1.bmp
ren                                               LDW_Gen_P11.bmp                   000707s1.bmp
ren                                                LDW_Gen_P12.bmp                   010000s1.bmp
ren                                                LDW_Gen_P13.bmp                   010001s1.bmp
ren                                                LDW_Gen_P2.bmp                    010003s1.bmp
ren                                                LDW_Gen_P3.bmp                    010100s1.bmp
ren                                                LDW_Gen_P4.bmp                    010101s1.bmp
ren                                                LDW_Gen_P5.bmp                    010101s2.bmp
ren                                                LDW_Gen_P6.bmp                    010101s3.bmp
ren                                                LDW_Gen_P7.bmp                    010101s4.bmp
ren                                                LDW_Gen_P8.bmp                    010101s5.bmp
ren                                                LDW_Gen_P9.bmp                    010101s6.bmp
ren                                                LDW_Gum_P1.bmp                    010101s7.bmp
ren                                                LDW_Gum_P10.bmp                   010102s1.bmp
ren                                                LDW_Gum_P11.bmp                   010103s1.bmp
ren                                                LDW_Gum_P12.bmp                   010104s1.bmp
ren                                                LDW_Gum_P13.bmp                   010105s1.bmp
ren                                                LDW_Gum_P14.bmp                   010106s1.bmp
ren                                                LDW_Gum_P2.bmp                    010200s1.bmp
ren                                                LDW_Gum_P3.bmp                    010201s1.bmp
ren                                                LDW_Gum_P4.bmp                    010202s1.bmp
ren                                                LDW_Gum_P5.bmp                    010203s1.bmp
ren                                                LDW_Gum_P6.bmp                    010204s1.bmp
ren                                                LDW_Gum_P7.bmp                    010300s1.bmp
ren                                                LDW_Gum_P8.bmp                    010301s1.bmp
ren                                                LDW_Gum_P9.bmp                    010302s1.bmp
DEL                                               LE_HANGAR.BMP                    
ren                                                lwd_conifer_01.bmp                010304s1.bmp
ren                                                lwd_conifer_02.bmp                010305s1.bmp
ren                                                lwd_generic_01.bmp                010306s1.bmp
ren                                                lwd_generic_02.bmp                010401s1.bmp
ren                                                lwd_generic_03.bmp                010402s1.bmp
ren                                                lwd_generic_04.bmp                010403s1.bmp
ren                                                lwd_generic_05.bmp                010404s1.bmp
ren                                                lwd_generic_06.bmp                010405s1.bmp
ren                                                lwd_generic_07.bmp                010501s1.bmp
ren                                                lwd_generic_08.bmp                010503s1.bmp
ren                                                lwd_generic_09.bmp                010504s1.bmp
ren                                                lwd_generic_10.bmp                010505s1.bmp
ren                                                lwd_generic_11.bmp                010601s1.bmp
ren                                                lwd_generic_12.bmp                010603s1.bmp
ren                                                lwd_generic_13.bmp                010604s1.bmp
ren                                                lwd_generic_14.bmp                010605s1.bmp
ren                                                lwd_generic_15.bmp                010606s1.bmp
ren                                                lwd_gum_01.bmp                    020000s1.bmp
ren                                                lwd_gum_02.bmp                    020001s1.bmp
ren                                                lwd_gum_03.bmp                    020002s1.bmp
ren                                                lwd_gum_04.bmp                    020003s1.bmp
ren                                                lwd_gum_05.bmp                    020100s1.bmp
ren                                                lwd_gum_06.bmp                    020101s1.bmp
ren                                                lwd_gum_07.bmp                    020102s1.bmp
ren                                                lwd_palm_01.bmp                   020103s1.bmp
ren                                                lwd_palm_02.bmp                   020104s1.bmp
ren                                                lwd_palm_03.bmp                   020106s1.bmp
ren                                                lwd_palm_04.bmp                   020200s1.bmp
ren                                                lwd_palm_05.bmp                   020201s1.bmp
ren                                                lwd_poplar_01.bmp                 020202s1.bmp
ren                                                lwd_poplar_02.bmp                 020202s2.bmp
DEL                                              LWDtrees.BAT                      
DEL                                               LWDtrees.txt                      
DEL                                               MR_barracks_1.bmp                 
DEL                                                 MR_barracks_1_d.bmp               
DEL                                                MR_BARRACKS_1_LM.BMP             
DEL                                                 MR_barracks_2.bmp                 
ren                                                MR_Boabab_tree_01.bmp             020204s1.bmp
ren                                                MR_Boabab_tree_02.bmp             020205s1.bmp
ren                                                MR_Boabab_tree_03.bmp             020206s1.bmp
DEL                                                MR_causeway.bmp                   
ren                                                MR_Coconut_palm_01.bmp            020300s1.bmp
ren                                                MR_Coconut_palm_02.bmp            020301s1.bmp
ren                                                MR_Coconut_palm_03.bmp            020302s1.bmp
DEL                                                  MR_concrete.bmp                  
DEL                                                  MR_concrete_02.bmp               
DEL                                                 MR_control_tower.bmp              
DEL                                                MR_control_tower_d.bmp           
DEL                                                MR_control_tower2.bmp             
DEL                                               MR_control_tower3.bmp             
DEL                                               MR_control_tower4.bmp             
ren                                                MR_Generic_01.bmp                 020403s1.bmp
ren                                                MR_Generic_02.bmp                 020404s1.bmp
ren                                                MR_Generic_03.bmp                 020405s1.bmp
ren                                                MR_Generic_broadleaf_01.bmp       020502s1.bmp
ren                                                MR_Generic_broadleaf_02.bmp       020505s1.bmp
ren                                                MR_Generic_broadleaf_03.bmp       020602s1.bmp
ren                                                MR_Generic_gum_01.bmp             020603s1.bmp
ren                                                MR_Generic_gum_02.bmp             020606s1.bmp
ren                                                MR_Generic_gum_03.bmp             020702s1.bmp
ren                                                MR_Gum_tree_01.bmp                020703s1.bmp
ren                                                MR_Gum_tree_02.bmp                020707s1.bmp
ren                                                MR_Gum_tree_03.bmp                030000s1.bmp
DEL                                                MR_hanger_1.bmp                   
ren                                                MR_Norfolk_Is_pine_01.bmp         030002s1.bmp
ren                                                MR_Norfolk_Is_pine_02.bmp         030003s1.bmp
ren                                                MR_Norfolk_Is_pine_03.bmp         030004s1.bmp
DEL                                                 MR_radar.bmp                     
DEL                                                 MR_sandbags.bmp                   
ren                                                MR_Snow_gum_01.bmp                030007s1.bmp
ren                                                MR_Snow_gum_02.bmp                030100s1.bmp
ren                                                MR_Snow_gum_03.bmp                030101s1.bmp
DEL                                              MR_tent.bmp                       
DEL                                                  MR_tent_02.bmp                  
DEL                                               MR_Tower2.bmp                     
ren                                                Palm_1.bmp                        030105s1.bmp
ren                                                Palm_2.bmp                        030106s1.bmp
ren                                                Palm_3.bmp                        030200s1.bmp
ren                                                Palm_4.bmp                        030201s1.bmp
ren                                                Palm_5.bmp                        030202s1.bmp
ren                                                pine.bmp                          030203s1.bmp
ren                                                Poplar.bmp                        030204s1.bmp
ren                                                weeping_willow_1.bmp              030205s1.bmp
ren                                                weeping_willow_2.bmp              030206s1.bmp

CLS
ECHO.
ECHO.    You have successfully re-named the textures.
ECHO.  
ECHO.     UNWANTED INFASTRUCTURE TEXTURES DELETED.
PAUSE

CLS 
ECHO.
ECHO.     This batch file will make the Fall textures.
ECHO.     ONLY MAKE FALL TEXTURES
ECHO.     WITH THIS PROGRAM.
ECHO.
ECHO.
ECHO.  click on Convert All Standard Textures to Fall.
ECHO. 
ECHO.  Exit when all textures have been converted.
PAUSE 
CLS
ECHO.  PLEASE WAIT FOR THE GUI TO OPEN  so please be patient...
BmpSeasn

CLS

ECHO.
ECHO.    You have successfully converted the textures
ECHO.     to Fall textures. 
PAUSE

CLS
ECHO.
ECHO.   This batch file will delete the old textures
ECHO.   and re-name the new textures back to the
ECHO.   original names.

PAUSE
DEL              000000s1.bmp
DEL             000001s1.bmp
DEL            000002s1.bmp
DEL           000003s1.bmp
DEL             000007s1.bmp
DEL             000100s1.bmp
DEL             000101s1.bmp
DEL             000102s1.bmp
DEL             000103s1.bmp
DEL              000200s1.bmp
DEL            000201s1.bmp
DEL             000202s1.bmp
DEL            000203s1.bmp
DEL            000300s1.bmp
DEL             000301s1.bmp
DEL              000302s1.bmp
DEL              000303s1.bmp
DEL            000700s1.bmp
DEL            000703s1.bmp
DEL              000707s1.bmp
DEL             010000s1.bmp
DEL             010001s1.bmp
DEL             010003s1.bmp
DEL               010100s1.bmp
DEL               010101s1.bmp
DEL              010101s2.bmp
DEL             010101s3.bmp
DEL             010101s4.bmp
DEL               010101s5.bmp
DEL               010101s6.bmp
DEL               010101s7.bmp
DEL               010102s1.bmp
DEL               010103s1.bmp
DEL              010104s1.bmp
DEL              010105s1.bmp
DEL              010106s1.bmp
DEL              010200s1.bmp
DEL               010201s1.bmp
DEL               010202s1.bmp
DEL               010203s1.bmp
DEL               010204s1.bmp
DEL              010300s1.bmp
DEL            010301s1.bmp
DEL              010302s1.bmp

DEL              010304s1.bmp
DEL              010305s1.bmp
DEL              010306s1.bmp
DEL              010401s1.bmp
DEL               010402s1.bmp
DEL              010403s1.bmp
DEL               010404s1.bmp
DEL              010405s1.bmp
DEL              010501s1.bmp
DEL             010503s1.bmp
DEL             010504s1.bmp
DEL             010505s1.bmp
DEL              010601s1.bmp
DEL               010603s1.bmp
DEL               010604s1.bmp
DEL              010605s1.bmp
DEL              010606s1.bmp
DEL              020000s1.bmp
DEL              020001s1.bmp
DEL               020002s1.bmp
DEL              020003s1.bmp
DEL              020100s1.bmp
DEL              020101s1.bmp
DEL             020102s1.bmp
DEL                020103s1.bmp
DEL              020104s1.bmp
DEL               020106s1.bmp
DEL              020200s1.bmp
DEL               020201s1.bmp
DEL               020202s1.bmp
DEL                020202s2.bmp
DEL                020204s1.bmp






DEL             020205s1.bmp
DEL               020206s1.bmp

DEL               020300s1.bmp
DEL              020301s1.bmp
DEL               020302s1.bmp







DEL              020403s1.bmp
DEL                020404s1.bmp
DEL               020405s1.bmp
DEL              020502s1.bmp
DEL             020505s1.bmp
DEL            020602s1.bmp
DEL             020603s1.bmp
DEL            020606s1.bmp
DEL            020702s1.bmp
DEL            020703s1.bmp
DEL             020707s1.bmp
DEL              030000s1.bmp

DEL               030002s1.bmp
DEL              030003s1.bmp
DEL             030004s1.bmp


DEL              030007s1.bmp
DEL               030100s1.bmp
DEL                030101s1.bmp



DEL             030105s1.bmp
DEL               030106s1.bmp
DEL              030200s1.bmp
DEL              030201s1.bmp
DEL             030202s1.bmp
DEL              030203s1.bmp
DEL             030204s1.bmp
DEL              030205s1.bmp
DEL            030206s1.bmp

ren        000000f1.bmp          Austrian_Pine.bmp
ren        000001f1.bmp          Date_Palm.bmp
ren        000002f1.bmp          Douglas_Fir.bmp
ren        000003f1.bmp          Eucalyptus_1.bmp
ren        000007f1.bmp          Eucalyptus_2.bmp
ren        000100f1.bmp          Eucalyptus_3.bmp
ren        000101f1.bmp          Eucalyptus_4.bmp
ren        000102f1.bmp          Eucalyptus_5.bmp
ren        000103f1.bmp          Fan_Palm.bmp
ren        000200f1.bmp          Generic_1.bmp
ren        000201f1.bmp          Generic_2.bmp
ren        000202f1.bmp          Generic_3.bmp
ren        000203f1.bmp          Generic_4.bmp
ren        000300f1.bmp          Generic_5.bmp
ren        000301f1.bmp          Generic_6.bmp
ren        000302f1.bmp          Generic_7.bmp
ren        000303f1.bmp          Generic_8.bmp
ren        000700f1.bmp          LDW_Gen_P1.bmp
ren        000703f1.bmp          LDW_Gen_P10.bmp
ren        000707f1.bmp          LDW_Gen_P11.bmp
ren         010000f1.bmp          LDW_Gen_P12.bmp
ren         010001f1.bmp          LDW_Gen_P13.bmp
ren         010003f1.bmp          LDW_Gen_P2.bmp
ren         010100f1.bmp          LDW_Gen_P3.bmp
ren         010101f1.bmp          LDW_Gen_P4.bmp
ren         010101f2.bmp          LDW_Gen_P5.bmp
ren         010101f3.bmp          LDW_Gen_P6.bmp
ren         010101f4.bmp          LDW_Gen_P7.bmp
ren         010101f5.bmp          LDW_Gen_P8.bmp
ren         010101f6.bmp          LDW_Gen_P9.bmp
ren         010101f7.bmp          LDW_Gum_P1.bmp
ren         010102f1.bmp          LDW_Gum_P10.bmp
ren         010103f1.bmp          LDW_Gum_P11.bmp
ren         010104f1.bmp          LDW_Gum_P12.bmp
ren         010105f1.bmp          LDW_Gum_P13.bmp
ren         010106f1.bmp          LDW_Gum_P14.bmp
ren         010200f1.bmp          LDW_Gum_P2.bmp
ren         010201f1.bmp          LDW_Gum_P3.bmp
ren         010202f1.bmp          LDW_Gum_P4.bmp
ren         010203f1.bmp          LDW_Gum_P5.bmp
ren         010204f1.bmp          LDW_Gum_P6.bmp
ren         010300f1.bmp          LDW_Gum_P7.bmp
ren         010301f1.bmp          LDW_Gum_P8.bmp
ren         010302f1.bmp          LDW_Gum_P9.bmp

ren         010304f1.bmp          lwd_conifer_01.bmp
ren         010305f1.bmp          lwd_conifer_02.bmp
ren         010306f1.bmp          lwd_generic_01.bmp
ren         010401f1.bmp          lwd_generic_02.bmp
ren         010402f1.bmp          lwd_generic_03.bmp
ren         010403f1.bmp          lwd_generic_04.bmp
ren         010404f1.bmp          lwd_generic_05.bmp
ren         010405f1.bmp          lwd_generic_06.bmp
ren         010501f1.bmp          lwd_generic_07.bmp
ren         010503f1.bmp          lwd_generic_08.bmp
ren         010504f1.bmp          lwd_generic_09.bmp
ren         010505f1.bmp          lwd_generic_10.bmp
ren         010601f1.bmp          lwd_generic_11.bmp
ren         010603f1.bmp          lwd_generic_12.bmp
ren         010604f1.bmp          lwd_generic_13.bmp
ren         010605f1.bmp          lwd_generic_14.bmp
ren         010606f1.bmp          lwd_generic_15.bmp
ren         020000f1.bmp          lwd_gum_01.bmp
ren         020001f1.bmp          lwd_gum_02.bmp
ren         020002f1.bmp          lwd_gum_03.bmp
ren         020003f1.bmp          lwd_gum_04.bmp
ren         020100f1.bmp          lwd_gum_05.bmp
ren         020101f1.bmp          lwd_gum_06.bmp
ren         020102f1.bmp          lwd_gum_07.bmp
ren         020103f1.bmp          lwd_palm_01.bmp
ren         020104f1.bmp          lwd_palm_02.bmp
ren         020106f1.bmp          lwd_palm_03.bmp
ren         020200f1.bmp          lwd_palm_04.bmp
ren         020201f1.bmp          lwd_palm_05.bmp
ren         020202f1.bmp          lwd_poplar_01.bmp
ren         020202f2.bmp          lwd_poplar_02.bmp






ren         020204f1.bmp          MR_Boabab_tree_01.bmp
ren         020205f1.bmp          MR_Boabab_tree_02.bmp
ren         020206f1.bmp          MR_Boabab_tree_03.bmp

ren         020300f1.bmp          MR_Coconut_palm_01.bmp
ren         020301f1.bmp          MR_Coconut_palm_02.bmp
ren         020302f1.bmp          MR_Coconut_palm_03.bmp







ren         020403f1.bmp          MR_Generic_01.bmp
ren         020404f1.bmp          MR_Generic_02.bmp
ren         020405f1.bmp          MR_Generic_03.bmp
ren         020502f1.bmp          MR_Generic_broadleaf_01.bmp
ren         020505f1.bmp          MR_Generic_broadleaf_02.bmp
ren         020602f1.bmp          MR_Generic_broadleaf_03.bmp
ren         020603f1.bmp          MR_Generic_gum_01.bmp
ren         020606f1.bmp          MR_Generic_gum_02.bmp
ren         020702f1.bmp          MR_Generic_gum_03.bmp
ren         020703f1.bmp          MR_Gum_tree_01.bmp
ren         020707f1.bmp          MR_Gum_tree_02.bmp
ren         030000f1.bmp          MR_Gum_tree_03.bmp

ren         030002f1.bmp          MR_Norfolk_Is_pine_01.bmp
ren         030003f1.bmp          MR_Norfolk_Is_pine_02.bmp
ren         030004f1.bmp          MR_Norfolk_Is_pine_03.bmp


ren         030007f1.bmp          MR_Snow_gum_01.bmp
ren         030100f1.bmp          MR_Snow_gum_02.bmp
ren         030101f1.bmp          MR_Snow_gum_03.bmp



ren         030105f1.bmp          Palm_1.bmp
ren         030106f1.bmp          Palm_2.bmp
ren         030200f1.bmp          Palm_3.bmp
ren         030201f1.bmp          Palm_4.bmp
ren         030202f1.bmp          Palm_5.bmp
ren         030203f1.bmp          pine.bmp
ren         030204f1.bmp          Poplar.bmp
ren         030205f1.bmp          weeping_willow_1.bmp
ren         030206f1.bmp          weeping_willow_2.bmp


CLS
ECHO.
ECHO.     This batch file will convert the textures
ECHO.     to DXT1 format with mipmaps.
ECHO. 
ECHO.     WAIT UNTILL BATCH PROCESS IS COMPLETE 
ECHO.       AND CLICK DONE.
PAUSE
CLS
ECHO.   PLEASE WAIT FOR THE GUI TO OPEN  so please be patient...
imagetool -batch -dxt1 -e bmp *.bmp
del imagetool.EXE
del BmpSeasn.EXE
del BmpSeasn.TXT

CLS
ECHO.
ECHO.  You have successfully converted the textures
ECHO.  to Fall with a DXT1 format with mipmaps.
ECHO.
ECHO.     ALL DONE 
ECHO.
ECHO.     Hope you enjoy.  

PAUSE
del *.bat

EXIT








